Bug 226179 - audio/milkytracker: fails to build on 12.0 after 1200056
Summary: audio/milkytracker: fails to build on 12.0 after 1200056
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-24 18:51 UTC by Emanuel Haupt
Modified: 2018-02-28 19:55 UTC (History)
0 users

See Also:


Attachments
Build failure with clang 6.0.0 on 12.0 (164.38 KB, text/plain)
2018-02-24 18:51 UTC, Emanuel Haupt
no flags Details
actual build failure with clang (59.46 KB, text/plain)
2018-02-24 18:56 UTC, Emanuel Haupt
no flags Details
Build failure with clang 6.0.0 on 12.0 (milkytracker version 1.02.00) (61.06 KB, patch)
2018-02-25 14:13 UTC, Emanuel Haupt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt freebsd_committer 2018-02-24 18:51:55 UTC
Created attachment 190964 [details]
Build failure with clang 6.0.0 on 12.0

audio/milkytracker fails to build on 12.0 with clang 6.0.0
Comment 1 Emanuel Haupt freebsd_committer 2018-02-24 18:56:00 UTC
Created attachment 190965 [details]
actual build failure with clang
Comment 2 Emanuel Haupt freebsd_committer 2018-02-25 14:13:26 UTC
Created attachment 190989 [details]
Build failure with clang 6.0.0 on 12.0 (milkytracker version 1.02.00)

Build failure of just updated milkytracker version.
Comment 3 Emanuel Haupt freebsd_committer 2018-02-25 14:21:47 UTC
Reported upstream:
https://github.com/milkytracker/MilkyTracker/issues/151
Comment 4 Emanuel Haupt freebsd_committer 2018-02-28 19:54:02 UTC
Fixed by:
https://github.com/milkytracker/MilkyTracker/issues/152
Comment 5 commit-hook freebsd_committer 2018-02-28 19:54:51 UTC
A commit references this bug:

Author: ehaupt
Date: Wed Feb 28 19:54:30 UTC 2018
New revision: 463260
URL: https://svnweb.freebsd.org/changeset/ports/463260

Log:
  Fix build with clang 6.0.0.

  PR:		226179

Changes:
  head/audio/milkytracker/Makefile
  head/audio/milkytracker/files/
  head/audio/milkytracker/files/patch-src_tracker_EQConstants.cpp
  head/audio/milkytracker/files/patch-src_tracker_sdl_SDL__Main.cpp
Comment 6 Emanuel Haupt freebsd_committer 2018-02-28 19:55:41 UTC
Fixed.